## org.gjt.sp.jedit.search
Class SearchMatcher.Match

    java.lang.Object
      org.gjt.sp.jedit.search.SearchMatcher.Match

Enclosing class:
  SearchMatcher

    public static class SearchMatcher.Match

extends java.lang.Object

Field Summary
`int` `end`
`int` `start`
`java.lang.String[]` `substitutions`

Constructor Summary
`SearchMatcher.Match()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public int start

### end

    public int end

### substitutions

    public java.lang.String[] substitutions

Constructor Detail

### SearchMatcher.Match

    public SearchMatcher.Match()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`